Overview
GET
/chat/chat-pluginschatList chat_plugins
List chat-plugins.
Auth: bearerAuth — calls run as the authenticated user.
Responses
200
List
- idstring
- ecosystemIdstring
- messageIdstring
- kindstring
- statestring
- configstring
- stateDatastring
- expiresAtstring?
- createdAtstring
- updatedAtstring
Example
[
{
"id": "string",
"ecosystemId": "string",
"messageId": "string",
"kind": "string",
"state": "string",
"config": "string",
"stateData": "string",
"expiresAt": "string",
"createdAt": "string",
"updatedAt": "string"
}
]401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X GET "https://api.agenticdeveloperhub.com/chat/chat-plugins" \
-H "Authorization: Bearer YOUR_TOKEN"JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/chat/chat-plugins", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
},
});
const data = await res.json();